E-MailRelay

Public Types | Public Member Functions | List of all members
GSsl::OpenSSL::Config Class Reference

Holds protocol version information, etc. More...

`#include <gssl_openssl.h>`

## Public Types
using | Fn = const SSL_METHOD *(*)()

## Public Member Functions
| Config (G::StringArray &config)
Fn | fn (bool server)
long | set () const
long | reset () const
int | min_ () const
int | max_ () const
bool | noverify () const

## Detailed Description

Holds protocol version information, etc.

Definition at line 84 of file gssl_openssl.h.

## Member Typedef Documentation

## ◆ Fn

using GSsl::OpenSSL::Config::Fn = const SSL_METHOD *(*)()

Definition at line 87 of file gssl_openssl.h.

## Constructor & Destructor Documentation

## ◆ Config()

GSsl::OpenSSL::Config::Config | ( | G::StringArray & | config | ) |
| explicit

Definition at line 857 of file gssl_openssl.cpp.

## Member Function Documentation

## ◆ fn()

GSsl::OpenSSL::Config::Fn GSsl::OpenSSL::Config::fn | ( | bool | server | ) |

Definition at line 923 of file gssl_openssl.cpp.

## ◆ max_()

int GSsl::OpenSSL::Config::max_ | ( |  | ) | const

Definition at line 943 of file gssl_openssl.cpp.

## ◆ min_()

int GSsl::OpenSSL::Config::min_ | ( |  | ) | const

Definition at line 938 of file gssl_openssl.cpp.

## ◆ noverify()

bool GSsl::OpenSSL::Config::noverify | ( |  | ) | const

Definition at line 948 of file gssl_openssl.cpp.

## ◆ reset()

long GSsl::OpenSSL::Config::reset | ( |  | ) | const

Definition at line 933 of file gssl_openssl.cpp.

## ◆ set()

long GSsl::OpenSSL::Config::set | ( |  | ) | const

Definition at line 928 of file gssl_openssl.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gssl/gssl_openssl.cpp